%============================================================
% Predicate: head_all/3
% Modes: head_all(?Term,?List1,?List2)
% 
% Purpose: List2 is a list of lists, the same as List1 except
%	   that each list in List2 is the equivalent list of
%	   List1 but with Term prefixed to it.
% 
% Licensed Use: head_all(?Term,+List1,-List2)
%	        head_all(?Term,?List1,+List2)
% 
% Created: 11-Feb-93
% Last Update: 
%============================================================

head_all(H,[L1|L],[[H|L1]|Lx]) :-
    head_all(H,L,Lx).

head_all(_,[],[]).

