%============================================================
% Predicate: norm_diff/2
%
% Modes: norm_diff(?NormList,?DiffList)
%
% Purpose: Convert between normal and difference lists
%
% Licensed Use: norm_diff(+NormList,-DiffList)
%                         -- normal to difference
%               norm_diff(-NormList,+DiffList) 
%                         -- difference to normal
%
% Created: 10-Feb-93
% Last Update: 
%============================================================

norm_diff([],X/X) :- var(X),!.

norm_diff([X|L],[X|Y]/Z) :- norm_diff(L,Y/Z).


